Package org.apache.sling.resourceresolver.impl.mapping

# Interface MapConfigurationProvider

All Superinterfaces:
  `org.apache.sling.api.resource.ResourceResolverFactory`

public interface MapConfigurationProvider extends org.apache.sling.api.resource.ResourceResolverFactory
Internal interface representing the additional methods MapEntries needs from the ResourceResolverFactory.

Exists primarily to facilitate mocking of the ResourceResolverFactory when testing MapEntries.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`MapConfigurationProvider.VanityPathConfig`

## Field Summary

### Fields inherited from interface org.apache.sling.api.resource.ResourceResolverFactory

`NEW_PASSWORD, PASSWORD, SUBSERVICE, USER, USER_IMPERSONATION`

## Method Summary

Modifier and Type
Method
Description
`Set<String>`
`getAllowedAliasLocations()`
A set of allow prefixes all ending with a slash.
`int`
`getDefaultVanityPathRedirectStatus()`
`Mapping[]`
`getMappings()`
`String`
`getMapRoot()`
`long`
`getMaxCachedVanityPathEntries()`
`org.apache.sling.api.resource.path.Path[]`
`getObservationPaths()`
`Map<String,Object>`
`getServiceUserAuthenticationInfo(String subServiceName)`
`int`
`getVanityBloomFilterMaxBytes()`
`List<MapConfigurationProvider.VanityPathConfig>`
`getVanityPathConfig()`
A list of allow and deny list prefixes all ending with a slash.
`Map<String,String>`
`getVirtualURLMap()`
`boolean`
`hasVanityPathPrecedence()`
`boolean`
`isAliasCacheInitInBackground()`
`boolean`
`isMapConfiguration(String path)`
`boolean`
`isMaxCachedVanityPathEntriesStartup()`
`boolean`
`isOptimizeAliasResolutionEnabled()`
`boolean`
`isVanityPathCacheInitInBackground()`
`boolean`
`isVanityPathEnabled()`

### Methods inherited from interface org.apache.sling.api.resource.ResourceResolverFactory

`getAdministrativeResourceResolver, getResourceResolver, getSearchPath, getServiceResourceResolver, getThreadResourceResolver`

## Method Details

### getMapRoot

String getMapRoot()

### isMapConfiguration

boolean isMapConfiguration(String path)

### getObservationPaths

org.apache.sling.api.resource.path.Path[] getObservationPaths()

### getVirtualURLMap

Map<String,String> getVirtualURLMap()

### getMappings

Mapping[] getMappings()

### getDefaultVanityPathRedirectStatus

int getDefaultVanityPathRedirectStatus()

### isVanityPathEnabled

boolean isVanityPathEnabled()

### getMaxCachedVanityPathEntries

long getMaxCachedVanityPathEntries()

### isVanityPathCacheInitInBackground

boolean isVanityPathCacheInitInBackground()

### isMaxCachedVanityPathEntriesStartup

boolean isMaxCachedVanityPathEntriesStartup()

### getVanityBloomFilterMaxBytes

int getVanityBloomFilterMaxBytes()

### hasVanityPathPrecedence

boolean hasVanityPathPrecedence()

### isOptimizeAliasResolutionEnabled

boolean isOptimizeAliasResolutionEnabled()

### isAliasCacheInitInBackground

boolean isAliasCacheInitInBackground()

### getServiceUserAuthenticationInfo

Map<String,Object> getServiceUserAuthenticationInfo(String subServiceName) throws org.apache.sling.api.resource.LoginException

Throws:
  `org.apache.sling.api.resource.LoginException`

### getVanityPathConfig

List<MapConfigurationProvider.VanityPathConfig> getVanityPathConfig()
A list of allow and deny list prefixes all ending with a slash. If `null` is returned, all paths are allowed.

Returns:
  the list of prefixes or {code}null{code}

### getAllowedAliasLocations

Set<String> getAllowedAliasLocations()
A set of allow prefixes all ending with a slash. If empty set is returned, all paths are allowed.

Returns:
  the set of prefixes